#ifndef ACTIONCHARGE_H
#define ACTIONCHARGE_H
#include "ActionHit.h"

#include "MemoryManager/debugNew.h"

class ActionCharge :
	public ActionHit
{
private:
	void move();
public:
	ActionCharge(Unit* u,unitEnumeration::UnitState state,EnnemyUnit* ennemy);
	virtual ~ActionCharge(void);
	void execute();
};

#include "MemoryManager/debugNewOff.h"

#endif
